Zapmail
latest
  • latest
  • v1
latest
  • latest
  • v1
Sign In
latest
  • latest
  • v1
Root
Root
  1. dns shield
  • Zapmail Docs
  • users
    • Retrieve User Details
      GET
  • quick setup
    • Quick Setup
      POST
  • workspaces
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
    • Update Domain Renewal Settings
      POST
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
      GET
    • Get Mailbox Details by ID
      GET
    • Assign New Mailboxes to Domains
      POST
    • Update mailbox
      PUT
    • Remove mailboxes on next renewal
      PUT
    • Get Authenticator code
      GET
    • Custom OAuth
      POST
    • schedule mailbox creation
      POST
    • retry creation of failed mailboxes
      PUT
  • payments & wallet
    • Add balance to wallet
    • Get wallet balance
    • Enable auto recharge
    • Purchase add on mailboxes
    • get invoices for subscription
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
    • Fetch Workspaces by App
    • List all third-party accounts
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
    • List Domains Eligible for Renewal
    • Get Renewal Price
    • Renew Domains
    • Delete Tag
    • Remove Tags From Domains
    • Update Auto Renew Preference
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
    • Get Prewarm Subscriptions
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
      GET
    • Get available slots
      GET
    • Get subscriptions
      GET
    • Get Allocated Domains for Subscription
      GET
    • Allocate Domains to DNS Shield
      POST
    • Purchase DNS Shield
      POST
    • Upgrade DNS Shield LTD Plan
      POST
    • Cancel subscription
      POST
  • global
    • Global mailbox-domain search
  • zapbox
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Send Email
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Schemas
    • domain with filter
  1. dns shield

Get Allocated Domains for Subscription

GET
/v2/dns-shield/allocated-domains
Retrieve all domains that are currently allocated to a specific DNS Shield subscription. This endpoint provides detailed information about each domain including its status, mailboxes, and registration details.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠400Bad Request
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zapmail.ai/api/v2/dns-shield/allocated-domains?subscriptionId' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-key;' \
--header 'x-service-provider;'
Response Response Example
200 - Success
{
  "status": 200,
  "message": "DNS Shield allocated domains retrieved",
  "data": [
    {
      "domainName": "example.com",
      "domainId": "a66ccca7-d465-464a-887b-90bce6d09bbb",
      "status": "ACTIVE",
      "purchaseType": "PAID",
      "domain": "example.com",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "registeredOn": "2024-01-15",
      "expireOn": "2025-01-15",
      "mailboxes": [
        {
          "id": "mailbox-uuid-1",
          "username": "john",
          "firstName": "John",
          "lastName": "Doe",
          "status": "ACTIVE",
          "createdAt": "2024-01-15T11:00:00.000Z",
          "updatedAt": "2024-02-01T09:15:00.000Z"
        },
        {
          "id": "mailbox-uuid-2",
          "username": "jane",
          "firstName": "Jane",
          "lastName": "Smith",
          "status": "ACTIVE",
          "createdAt": "2024-01-16T14:30:00.000Z",
          "updatedAt": "2024-01-20T16:45:00.000Z"
        }
      ],
      "mailboxCount": 2
    },
    {
      "domainName": "example2.com",
      "domainId": "b77dddb8-e576-575b-998c-01cdf7e10ccc",
      "status": "ACTIVE",
      "purchaseType": "PAID",
      "domain": "example2.com",
      "createdAt": "2024-01-20T08:00:00.000Z",
      "registeredOn": "2024-01-20",
      "expireOn": "2025-01-20",
      "mailboxes": [],
      "mailboxCount": 0
    },
    {
      "domainName": "example3.com",
      "domainId": "c88eeeec9-f687-686c-aa9d-12def8f21ddd",
      "status": "ACTIVE",
      "purchaseType": "PAID",
      "domain": "example3.com",
      "createdAt": "2024-01-25T12:00:00.000Z",
      "registeredOn": "2024-01-25",
      "expireOn": "2025-01-25",
      "mailboxes": [
        {
          "id": "mailbox-uuid-3",
          "username": "admin",
          "firstName": "Admin",
          "lastName": "User",
          "status": "ACTIVE",
          "createdAt": "2024-01-25T12:30:00.000Z",
          "updatedAt": "2024-01-25T12:30:00.000Z"
        }
      ],
      "mailboxCount": 1
    }
  ]
}
Modified at 2026-04-13 05:01:56
Previous
Get subscriptions
Next
Allocate Domains to DNS Shield
Built with